"use strict";
/**
 * @module node-opcua-client
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OPCUAClient = void 0;
const opcua_client_impl_1 = require("./private/opcua_client_impl");
class OPCUAClient {
    static create(options) {
        return new opcua_client_impl_1.OPCUAClientImpl(options);
    }
    static createSession(endpointUrl, userIdentity, clientOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            return opcua_client_impl_1.OPCUAClientImpl.createSession(endpointUrl, userIdentity, clientOptions);
        });
    }
    static set minimumRevisedSessionTimeout(minimumRevisedSessionTimeout) {
        opcua_client_impl_1.OPCUAClientImpl.minimumRevisedSessionTimeout = minimumRevisedSessionTimeout;
    }
    static get minimumRevisedSessionTimeout() {
        return opcua_client_impl_1.OPCUAClientImpl.minimumRevisedSessionTimeout;
    }
}
exports.OPCUAClient = OPCUAClient;
//# sourceMappingURL=opcua_client.js.map