/**
 * @module node-opcua-factory
 */
import { ExpandedNodeId, NodeId } from "node-opcua-nodeid";
import { DataTypeFactory } from "./datatype_factory";
import { ConstructorFuncWithSchema, ConstructorFunc } from "./constructor_type";
import { BaseUAObject } from "./factories_baseobject";
import { StructuredTypeSchema } from "./factories_structuredTypeSchema";
export declare function getStandardDataTypeFactory(): DataTypeFactory;
export declare function getStructureTypeConstructor(typeName: string): ConstructorFuncWithSchema;
export declare function hasStructuredType(typeName: string): boolean;
export declare function getStructuredTypeSchema(typeName: string): StructuredTypeSchema;
export declare function getConstructor(binaryEncodingNodeId: ExpandedNodeId): ConstructorFunc | null;
export declare function hasConstructor(binaryEncodingNodeId: ExpandedNodeId): boolean;
export declare function constructObject(binaryEncodingNodeId: ExpandedNodeId): BaseUAObject;
export declare function registerClassDefinition(dataTypeNodeId: NodeId, className: string, classConstructor: ConstructorFuncWithSchema): void;
export declare function dump(): void;
